Assign configs to multiple nodes within the simulation

View as Markdown
Assign configs to multiple nodes in a simulation at once. This endpoint is idempotent - lack of assignment for a specific type keeps the existing assignment value for that type, while an explicit assignment of `null` clears any existing assignment. **Required scope:** `air:simulation_edit` (roles: `air_org_admin`, `air_user`)

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Request

This endpoint expects an object.
simulationstringOptionalformat: "uuid"
A simulation the specified nodes belong to.
nodeslist of objectsOptional
The nodes with their respective assignments.

Response

No response body

Errors

400
Bad Request Error
403
Forbidden Error
404
Not Found Error
500
Internal Server Error